#include "at32_uid.h"

#ifdef PRINTF_STDLIB
#include <stdio.h>
#endif
#ifdef PRINTF_CUSTOM
#include "tinystdio.h"
#endif

#include <string.h>


void GetAT32IDStr(char* str, uint8_t* len)
{
	char TempStr[33];

	memset(TempStr, 0, 33);
	
	for(uint8_t i = 0; i < 12; i++)
	{
		sprintf(TempStr, "%02X", AT32_UUID[i]);
		*len = strlen(TempStr);
		strncat(str, TempStr, *len);
	}
	*len = strlen(str);
}

void GetAT32IDInt(char* value)
{
	uint8_t i;

	for(i = 0; i < 12; i++)
	{
		value[i] = AT32_UUID[i];
	}
}


